/*
Copyright (c) 2006 by Juliusz Chroboczek

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

#define PROTOCOL_VERSION 128

#define OPT_NETWORK_NAME 1
#define OPT_SIGNATURE 2
#define OPT_IPv6_PREFIX 5
#define OPT_ROUTING_PROTOCOL 6
#define OPT_NAME_SERVER 8
#define OPT_NTP_SERVER 10
#define OPT_DHCP_SERVER 12
#define OPT_DHCP_SERVER_MANDATORY 13

#define ROUTING_PROTOCOL_NONE 0
#define ROUTING_PROTOCOL_STATIC 1
#define ROUTING_PROTOCOL_OLSR 2

/* STATIC options */
#define STATIC_DEFAULT_GATEWAY 1

/* OLSR options */
#define OLSR_MULTICAST_ADDRESS 1
#define OLSR_HELLO_INTERVAL 2
#define OLSR_HELLO_VALIDITY 4
#define OLSR_TC_INTERVAL 6
#define OLSR_TC_VALIDITY 8
#define OLSR_MID_INTERVAL 10
#define OLSR_MID_VALIDITY 12
#define OLSR_HNA_INTERVAL 16
#define OLSR_HNA_VALIDITY 18
#define OLSR_LINK_QUALITY 21

/* signature types */

#define SIGNATURE_UNSIGNED 0
#define SIGNATURE_SYMMETRIC 1
#define SIGNATURE_RSA 2
